Skip to content

Google 地圖 地點詳細資訊 API

prod-global
GET
/api/v1/google/maps/places
API 健康狀態
健康 可用 受限 多數不可用 無資料
正在載入健康狀態...

獲取 Google 地圖地點詳細資訊資料,包括聯絡資訊和商家資訊,用於豐富商家目錄、查詢地點詳細資訊,以及同步在地應用程式資料。

標籤: Google 地圖

請求參數

名稱必填類型預設值說明
place_idstring唯一的 Google 地點 ID。可透過 Google 地圖搜尋 API 取得。請使用此項或 'data_id'。
data_idstring唯一的 Google 地圖位置資料 ID。請使用此項或 'place_id'。
countrystringus設定目標國家代碼(例如 'us'、'uk')以本地化結果。請參閱 Google 國家

複製請求

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/maps/places"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "place_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

回應

正在載入最新回應範例...